
----------------------------------------------------------------------------------------------------------------
-- Default Key Combo Bindings
-- (c) 2006 Relic Entertainment


-- These combos should NOT be changed by the user.
-- They are here in case the user screws up the key bindings file in Root/KeyBindings/

-- Bindings use format "Control+Shift+A"

-- Valid keys
	--  a - Z   0 - 9
	-- Backspace Tab Enter Escape Space Apostrophe Comma
	-- Minus Period Slash Semicolon Equal LBracket Backslash RBracket Grave 
	-- Up Down Left Right Control Shift Alt CapsLock NumLock ScrollLock 
	-- Insert Delete Home End PageUp PageDown F1 F2 F3 F4 F5 F6 F7 F8 F9 F10 F11 F12 PrintScreen Pause 
	-- MouseLeft MouseRight MouseMiddle MouseTop xgcneaek MouseBottom 
	-- ScreenLeft ScreenRight ScreenTop ScreenBottom 
	-- Numpad0 Numpad1 Numpad2 Numpad3 Numpad4 Numpad5 Numpad6 
	-- Numpad7 Numpad8 Numpad9 NumpadMultiply NumpadPlus NumpadSeparator 
	-- NumpadMinus NumpadPeriod NumpadSlash 
	
bindings =
{
	----------------------------------------------------------------------------------------------------------------
	-- system commands
	----------------------------------------------------------------------------------------------------------------
	escape							="Escape",
	accept							="Enter",
	commandqueue						="Shift",
	pause							="Pause",
	systemmenu						="F10",
	company_commander					="Control+Z",
	select_focus						="Apostrophe",
	

	----------------------------------------------------------------------------------------------------------------
	-- tactical map commands
	----------------------------------------------------------------------------------------------------------------

	tactical_map						="Numpad0",
	tm_exit							="Numpad0",
	tm_reset 						="Backspace",
	tm_objectives 						="O",
	tm_toggle_rotate						="R",

	
	----------------------------------------------------------------------------------------------------------------
	-- Universal taskbar commands (any hotkeys used here cannot be used elsewhere)
	----------------------------------------------------------------------------------------------------------------
	
	builder_cycle						="Comma",
	infantry_cycle						="Period",
	vehicle_cycle						="Slash",

	manage_hq						="F1",
	manage_barracks						="F2",
	manage_armory						="F3",
	manage_light_motorpool					="F4",
	manage_heavy_motorpool					="F5",
	manage_supply_yard					="F6",
	
	event_cue_cycle						="Space",
	
	-------------------------------------------
	-- Global Commands
	-------------------------------------------

	attack							="A",
	retreat							="T",
	repair							="E",
	reinforce							="R",
	attackground						="G",
	halt							="H",
	rally							="Y",
	unload							="U",

	ping_attack						="Control+A",
	ping_defend						="Control+D",
	ping_capture						="Control+C",

	cancel_construction					="Escape",
	retire							="Delete",


	-------------------------------------------
	-- Global Build
	-------------------------------------------

	build							="B",
	buildadv							="V",
	sand_bag							="S",
	land_mines						="M",
	barbed_wire	 					="W",
	tank_traps						="T",


	-------------------------------------------
	-- Global Abilties
	-------------------------------------------

	cut_wires						="C",
	camouflage						="C",
	convert_ambient						="B",
	hold_fire_toggle						="F",

	mortar_barrage						="B",
	mortar_smoke_barrage					="S",
	


	--------------------------------------------------------------------------------------------------------------	
	-- multiple selection hotkeys
	--------------------------------------------------------------------------------------------------------------

	focus_primary_selection 					="Control+Tab",
	next_primary_selection  					="Tab",
	prev_primary_selection  					="Shift+Tab",
	-- checked with mouse click (removes clicked items from selection) 
	-- note: must only be one key
	remove_selection_modifier  					="Control",		
	-- checked with mouse click (selects all units of the same type) -- note: must only be one key
	crop_selection_modifier 					="Shift",	
	--same for axis**
	
	--------------------------------------------------------------------------------------------------------------
	-- hotkey group hotkeys
	--------------------------------------------------------------------------------------------------------------
	-- Select the group #
	
	hkgroup_select0						="0",
	hkgroup_select1						="1",
	hkgroup_select2						="2",
	hkgroup_select3						="3",
	hkgroup_select4						="4",
	hkgroup_select5						="5",
	hkgroup_select6						="6",
	hkgroup_select7						="7",
	hkgroup_select8						="8",
	hkgroup_select9						="9",

	-- Set the group to be the current selection
	
	hkgroup_set0						="Control+0",
	hkgroup_set1						="Control+1",
	hkgroup_set2						="Control+2",
	hkgroup_set3						="Control+3",
	hkgroup_set4						="Control+4",
	hkgroup_set5						="Control+5",
	hkgroup_set6						="Control+6",
	hkgroup_set7						="Control+7",
	hkgroup_set8						="Control+8",
	hkgroup_set9						="Control+9",


	-------------------------------------------
	------------------- Allies ------------------
	-------------------------------------------

	-- Global Allied Abilities

	allies_throw_grenade					="N",
	allies_fireup_ability						="F",	


	-- Allies HQ
	
	allies_engineer						="E",

	allies_upgrade_demolitions					="D",
	allies_upgrade_wire_cutters					="C",


	-- Allies Engineer	

	allies_observation_post					="P",

	allies_medic_station					="N",
	allies_mg							="E",
	allies_105mm_howitzer					="H",

	allies_barracks						="B",
	allies_weapons_support_center				="W",
	allies_motor_pool						="M",
	allies_tank_depot						="T",
	allies_supply_yard						="S",
	allies_triage_center					="C",
	allies_concrete_wall					="A",

	allies_upgrade_flamethrower					="F",
	allies_upgrade_minesweeper					="M",

	allies_plant_demolitions					="D",


		-- Allies 105mm Howitzer

		allies_howitzer_barrage					="B",


	-- Allies Barracks

	allies_riflemen						="R",
	allies_jeep						="J",

	allies_upgrade_grenades					="N",
	allies_upgrade_stickybombs					="S",
	allies_upgrade_bar						="B",


		-- Allies Riflemen

		allies_throw_sticky_bomb					="S",
		allies_suppression_fire					="F",


		-- Allies Airborne

		allies_upgrade_recoilless_rifle				="O",

		allies_throw_satchel_charge					="S",


		-- Allies Rangers

		allies_upgrade_thompson_rifles				="U",
	

	-- Allies Weapon Support Center

	allies_mortar_team						="M",	
	allies_hmg						="H",
	allies_sniper						="S",


		-- Allies HMG

		allies_armor_piercing_burst					="P",


	-- Allies Motor Pool

	allies_m3_halftrack						="H",
	allies_m8_armored_car					="A",
	allies_57mm_anti_tank_gun					="T",


		-- Allies M3 Halftrack

		allies_upgrade_quad_50_cal_maxson				="U",

		-- Allies M8 Armored Car

		allies_upgrade_m2hb_50_cal_machine_gun			="U",
		allies_upgrade_m8_greyhound_armor_skirts			="S",

		allies_greyhound_mines					="M",

		-- Allies 57mm AT Gun

		allies_armor_piercing_shells					="P",


	-- Allies Tank Depot

	allies_m10_tank_destroyer					="M",
	allies_m4_crocodile						="C",
	allies_m4_sherman						="S",

	allies_upgrade_76mm_gun					="U",
	allies_upgrade_smoke_screen				="N",


		-- Allies Sherman Flamethrower
	
		allies_upgrade_sherman_bulldozer				="B",

		allies_bulldozer_toggle					="B",

		-- Allies M4 Sherman

		allies_upgrade_sherman_crab				="C",
		allies_upgrade_sherman_m2hb_50_cal_machine_gun		="U",

		allies_fire_smoke_canister					="S",
		allies_crab_mine_clearing					="M",

		-- Allies Calliope

		allies_calliope_barrage					="B",


	-- Allies Supply Yard

	allies_supply_yard_upgrade1					="U",
	allies_supply_yard_upgrade2					="U",



	-------------------------------------------
	------------------- Axis -------------------
	-------------------------------------------

	-- Global Axis Abilities

	axis_medical_kit						="K",
	axis_assault						="S",
	axis_defensive_bombardment				="B",
	axis_fire_panzerfaust					="P",


	-- Axis HQ

	axis_pioneer						="P",
	
	axis_escalate_to_skirmish					="E",
	axis_escalate_to_battle					="E",
	axis_escalate_to_war					="E",

	
	-- Axis Pioneer
	
	axis_observation_post					="P",
	axis_bunker						="B",
	axis_88mm_flak						="F",
	axis_20mm_flak						="V",
	axis_concrete_wall					="A",

	axis_wehrmacht_quarters					="W",
	axis_krieg_barracks					="B",
	axis_sturm_armory						="S",
	axis_panzer_command					="P",
	axis_kampfkraft_battleschool				="K",
	
	axis_upgrade_minesweeper					="M",
	axis_upgrade_flammenwerfer					="F",

	axis_salvage							="S",


	-- Axis Bunker

	axis_goliath						="G",
	axis_goliath_detonate					="D",

	axis_upgrade_bunker_mg42					="M",
	axis_upgrade_bunker_aid_station				="A",
	axis_upgrade_bunker_repair_station				="R",


	-- Wehrmacht Quarters

	axis_motorcycle						="M",
	axis_volksgrenadier						="V",
	axis_hmg							="H",
	axis_sniper						="S",


		-- Axis Volksgrenadiers

		axis_upgrade_volks_mp40					="U",
	

	-- Krieg Barracks

	axis_halftrack						="H",
	axis_grenadier						="G",
	axis_mortar_team						="M",
	axis_50mm_pak_38						="P",


		-- Axis Halftrack

		axis_upgrade_halftrack_flammenwerfer			="F",
		axis_upgrade_halftrack_stuka				="S",
	
		axis_stuka_rocket_barrage					="B",


		-- Axis Grenadiers
	
		axis_upgrade_panzercheck					="P",
		axis_upgrade_mg42					="U",

		axis_throw_grenade					="N",
	

	-- Sturm Armory

	axis_puma						="P",
	axis_lieutenant						="L",
	axis_nebelwerfer						="N",
	axis_stug							="S",

		
		-- Axis Puma

		axis_upgrade_puma_50mm_turret				="U",

	
		-- Axis Lieutenant
	
		axis_observed_fire						="O",
		axis_supervise_ability					="S",
		axis_force_retreat						="F",


		-- Axis Nebelwefer
	
		axis_nebelwerfer_barrage					="B",


	-- Panzer Command
	
	axis_knights_cross						="K",
	axis_ostwind_flakpanzer					="O",
	axis_panzer						="Z",
	axis_panther						="P",


		-- Axis Stormtroopers

		axis_upgrade_mp44					="U",
	
		axis_throw_bundled_grenade					="N",


	-- Kampfkraft Battleschool

	axis_train_veteran_infantry_level_1				="I",
	axis_train_veteran_infantry_level_2				="I",
	axis_train_veteran_infantry_level_3				="I",

	axis_train_veteran_support_level_1				="S",
	axis_train_veteran_support_level_2				="S",
	axis_train_veteran_support_level_3				="S",

	axis_train_veteran_vehicles_level_1				="V",
	axis_train_veteran_vehicles_level_2				="V",
	axis_train_veteran_vehicles_level_3				="V",

	axis_train_veteran_tanks_level_1				="T",
	axis_train_veteran_tanks_level_2				="T",
	axis_train_veteran_tanks_level_3				="T",



	
}